Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.adapter
Class SbmeMatcherAdapterConfig.CSConfigFileAccess

    java.lang.Object
      com.sun.mdm.index.matching.adapter.SbmeMatcherAdapterConfig.CSConfigFileAccess

Enclosing class:
  SbmeMatcherAdapterConfig

public static class SbmeMatcherAdapterConfig.CSConfigFileAccess
extends java.lang.Object

Inner class that implements the Master Index Match engine interface giving access to the configuration files

Constructor Summary
`SbmeMatcherAdapterConfig.CSConfigFileAccess(MatchEngineConfig cfg)` Constructor to create instance

Method Summary
`java.io.InputStream` | `getConfigFileAsStream(java.lang.String name)` Retrieves the configuration file contents as a stream from the configuration service.
`java.io.InputStream` | `getConfigFileAsStream(java.lang.String name, java.lang.String domain)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmeMatcherAdapterConfig.CSConfigFileAccess

    public SbmeMatcherAdapterConfig.CSConfigFileAccess(MatchEngineConfig cfg)

  Constructor to create instance

  Parameters:
    `cfg` - the MatchEngineConfig ConfigurationService instance to use to retrieve configuration files.

Method Detail

### getConfigFileAsStream

    public java.io.InputStream getConfigFileAsStream(java.lang.String name)
                                              throws MatcherConfigurationException

  Retrieves the configuration file contents as a stream from the configuration service.

  Parameters:
    `name` - the name of the configuration file to retrieve
  Returns:
    the configuration file contents as a stream
  Throws:
    `MatcherConfigurationException` - if retrieving the configuration file failed

### getConfigFileAsStream

    public java.io.InputStream getConfigFileAsStream(java.lang.String name,
                                                     java.lang.String domain)
                                              throws MatcherConfigurationException

  Throws:
    `MatcherConfigurationException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.